Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPRoleImpl

    java.lang.Object
      org.jboss.portal.identity.ldap.LDAPRoleImpl

All Implemented Interfaces:
  Role

    public class LDAPRoleImpl

extends java.lang.Object
implements Role

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Nested Class Summary
`static class` | `LDAPRoleImpl.LDAPRoleComparator`

Constructor Summary
`protected` | `LDAPRoleImpl(java.lang.String dn, IdentityContext context, java.lang.String id, java.lang.String name, java.lang.String displayName)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDisplayName()` The role display name used on screens.
`java.lang.String` | `getDn()`
`java.lang.Object` | `getId()` The role identifier.
`java.lang.String` | `getName()` The role name used in security rules.
`protected LDAPRoleModule` | `getRoleModule()`
`int` | `hashCode()`
`void` | `setDisplayName(java.lang.String name)`
`void` | `setId(java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPRoleImpl

    protected LDAPRoleImpl(java.lang.String dn,
                           IdentityContext context,
                           java.lang.String id,
                           java.lang.String name,
                           java.lang.String displayName)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Description copied from interface: `Role`
  The role name used in security rules. This name can not be modified

  Specified by:
    `getName` in interface `Role`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `Role`
  The role display name used on screens. This name can be modified

  Specified by:
    `getDisplayName` in interface `Role`

### setDisplayName

    public void setDisplayName(java.lang.String name)

  Specified by:
    `setDisplayName` in interface `Role`

### getRoleModule

    protected LDAPRoleModule getRoleModule()
                                    throws IdentityException

  Throws:
    `IdentityException`

### getDn

    public java.lang.String getDn()

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.Object getId()

  Description copied from interface: `Role`
  The role identifier.

  Specified by:
    `getId` in interface `Role`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD